%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	A sound editor for KDE
Name:		kwave
Version: 	0.8.1
Release: 	%mkrel 1
Epoch:		1
Source0: 	http://prdownloads.sourceforge.net/kwave/%name-%version-1.tar.bz2
Group:  	Sound
License:	GPLv2+
URL:		http://kwave.sourceforge.net/
BuildRequires:	kdelibs4-devel
Buildrequires:	libalsa-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libflac++-devel
BuildRequires:	audiofile-devel
Buildrequires:	libid3-devel
BuildRequires:	mad-devel
BuildRequires:	imagemagick
BuildRequires:	kdesdk4-po2xml
BuildRequires:	fftw3-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A sound editor for KDE.

%package -n	%{libname}
Summary:	Libraries needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed for %{name}

%package -n	%{develname}
Summary:	Development files provdied by %{name}
Group:		Development/KDE and Qt
Obsoletes:	%libname-devel
Provides:	%{name}-devel = %epoch:%version-%release
Requires:	%libname = %epoch:%version-%release
Conflicts:	%libname < 1:0.7.10-2mdk

%description -n %{develname}
This package contains development files provided by %{name}.

%prep
%setup -q

%build
#fwang: gsl disabled due to license incompatible
%cmake_kde4 -DWITH_GSL=OFF -DWITH_MP3=ON
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%find_lang %{name} --with-html

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES README TODO
%{_kde_bindir}/%{name}
%{_kde_iconsdir}/*/*/apps/%{name}.*
%{_kde_datadir}/applications/kde4/%{name}.desktop
%{_kde_datadir}/apps/%{name}
%{_kde_libdir}/kde4/plugins/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_kde_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_kde_libdir}/*.so


%changelog
* Wed Dec 24 2008 Funda Wang <fundawang@mandriva.org> 1:0.8.1-1mdv2009.0
+ Revision: 318219
- fix file list
- BR fftw3
- new version 0.8.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Oct 02 2008 Funda Wang <fundawang@mandriva.org> 1:0.8.0-1mdv2009.1
+ Revision: 290731
- enable mp3 decoder support
- New version 0.8.0 (kde4 version)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 1:0.7.11-1mdv2008.1
+ Revision: 158425
- fix desktop entry
- New version 0.7.11

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1:0.7.10-4mdv2008.0
+ Revision: 77316
- another fix for fr comment

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1:0.7.10-3mdv2008.0
+ Revision: 77298
- remove invalid fr comment of mimelnk

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:0.7.10-2mdv2008.0
+ Revision: 69955
- bring back devel packages

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:0.7.10-1mdv2008.0
+ Revision: 69902
- New version 0.7.10

* Sun Jun 17 2007 Funda Wang <fundawang@mandriva.org> 0.8.0-0.2008.1mdv2008.0
+ Revision: 40506
- New svn snapshot
- Remove wrong doc files
- drop old patch
  svn snapshot
  use cmake
- Fix x86-64 libdir
- buildrequires imagemagick gettext
- Fix file list
- Fix build requires
- New version


* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.6-1mdv2007.0
- 0.7.6
- xdg menu

* Tue Sep 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-3mdk
- fix build on older releases (only apply on P0 on new releases)

* Tue Sep 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-2mdk
- fix buildrequires

* Tue Sep 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-1mdk
- initial release (club request)

